Bug 1781333 - [IPI Baremetal] baremetal: platform overrides for provisioning and external interfaces are ignored
Summary: [IPI Baremetal] baremetal: platform overrides for provisioning and external i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Karim Boumedhel
QA Contact: Nataf Sharabi
URL:
Whiteboard:
Depends On: 1781335
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-09 19:40 UTC by Stephen Benjamin
Modified: 2020-05-13 21:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1781335 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:54:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github /openshift installer pull 2395 0 None None None 2020-04-28 10:52:21 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:54:26 UTC

Description Stephen Benjamin 2019-12-09 19:40:11 UTC
There'a an assumption in the installer that "baremetal" and "provisioning" are the names of the two bridges for the external and provisinoing networks, respectively. These are hardcoded in the terraform variables despite them being tunable in the platform config.

Comment 2 Nataf Sharabi 2020-02-20 09:42:17 UTC
Verified on 4.4.0-0.nightly-2020-02-19-044512.


Instructions:


A.Followed this[1] link for installing.

B.Once the environment deployment was done by jenkins - 

  baremetal + provisioning networks on baremetal were changed.

C.Adjusted the network names in the "configure network section"

  command output: sudo nmcli con show [2]

D.Updated the install-config.yaml with the appropriate network names.

E./openshift-baremetal-install --dir ~/ocp --log-level debug create cluster

 The output of the log [3]

[1] https://gitlab.cee.redhat.com/elgerman/ocp-edge-docs/blob/master/ocp4.4-manual-deploy-ipv4-virt.md

[2]NAME             UUID                                  TYPE      DEVICE        >                                                                                                              
   blabaremetal     2d5e733f-6b80-4af7-b9d1-b2a499279713  bridge    blabaremetal  >                                                                                                              
   blaprovisioning  fcbf6fb0-9659-48cd-b4e9-b0caca66560a  bridge    blaprovisionin>                                                                                                              
   virbr0           f081c998-8cc1-4b88-b457-74c89154bfcf  bridge    virbr0        >                                                                                                              
   eth0             f47f6bda-50d8-4ba9-b019-12b7d239d5d0  ethernet  eth0          >                                                                                                              
   eth1             05e91391-141d-48f9-8f3b-8d3e6509fac9  ethernet  eth1          >                                                                                                              
   System eth0      5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03  ethernet  --            >      

[3]DEBUG Still waiting for the cluster to initialize: Working towards 4.4.0-0.nightly-2020-02-19-044512: 100% complete, waiting on authentication, console 
   time="2020-02-19T14:40:44Z" level=debug msg="Still waiting for the cluster to initialize: Working towards 4.4.0-0.nightly-2020-02-19-044512: 100% complete, waiting on authentication, 
   console "
   DEBUG Cluster is initialized                       
   time="2020-02-19T14:41:05Z" level=debug msg="Cluster is initialized"
   INFO Waiting up to 10m0s for the openshift-console route to be created... 
   time="2020-02-19T14:41:05Z" level=info msg="Waiting up to 10m0s for the openshift-console route to be created..."
   DEBUG Route found in openshift-console namespace: console 
   DEBUG Route found in openshift-console namespace: downloads 
   DEBUG OpenShift console route is created           
   time="2020-02-19T14:41:05Z" level=debug msg="Route found in openshift-console namespace: console"
   time="2020-02-19T14:41:05Z" level=debug msg="Route found in openshift-console namespace: downloads"
   time="2020-02-19T14:41:05Z" level=debug msg="OpenShift console route is created"
   INFO Install complete!                            
   INFO To access the cluster as the system:admin user when using 'oc', run 'export KUBECONFIG=/home/kni/ocp/auth/kubeconfig' 
   time="2020-02-19T14:41:05Z" level=info msg="Install complete!"
   time="2020-02-19T14:41:05Z" level=info msg="To access the cluster as the system:admin user when using 'oc', run 'export KUBECONFIG=/home/kni/ocp/auth/kubeconfig'"
   INFO Access the OpenShift web-console here: https://console-openshift-console.apps.ocp-edge-cluster.qe.lab.redhat.com

Comment 4 errata-xmlrpc 2020-05-13 21:54:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.